Bug 253922 - gcc-4.1.2 build failed, missing npapi.h
gcc-4.1.2 build failed, missing npapi.h
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 18:14 EDT by Peter Kovář
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 10:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Kovář 2007-08-22 18:14:28 EDT
Description of problem:
Build of gcc failed because of missing include path containing npapi.h

Version-Release number of selected component (if applicable):
gcc-4.1.2-20070816
firefox-devel-2.0.0.6-3.fc8

How reproducible:
Always with %define build_java 1 in the spec file.
With %define build_java 0 build finished.

Steps to Reproduce:
1. rpmbuild -bb -vv /usr/src/redhat/SPECS/gcc41.spec
  
Actual results:
/usr/src/redhat/BUILD/gcc-4.1.2-20070816/obj-x86_64-redhat-linux/./gcc/xgcc
-shared-libgcc
-B/usr/src/redhat/BUILD/gcc-4.1.2-20070816/obj-x86_64-redhat-linux/./gcc
-nostdinc++
-L/usr/src/redhat/BUILD/gcc-4.1.2-20070816/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/src
-L/usr/src/redhat/BUILD/gcc-4.1.2-20070816/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/src/.libs
-B/usr/x86_64-redhat-linux/bin/ -B/usr/x86_64-redhat-linux/lib/ -isystem
/usr/x86_64-redhat-linux/include -isystem /usr/x86_64-redhat-linux/sys-include
-DHAVE_CONFIG_H -I. -I../../../../../../libjava/classpath/native/plugin
-I../../include -Wall -DAPPLETVIEWER_EXECUTABLE=\"/usr/bin/gappletviewer\"
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -pthread
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include -O2 -g -pipe -Wall -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -mtune=generic -D_GNU_SOURCE -MT
libgcjwebplugin_la-gcjwebplugin.lo -MD -MP -MF
.deps/libgcjwebplugin_la-gcjwebplugin.Tpo -c
../../../../../../libjava/classpath/native/plugin/gcjwebplugin.cc  -fPIC -DPIC
-o .libs/libgcjwebplugin_la-gcjwebplugin.o
../../../../../../libjava/classpath/native/plugin/gcjwebplugin.cc:47:19: error:
npapi.h: No such file or directory
../../../../../../libjava/classpath/native/plugin/gcjwebplugin.cc:48:19: error:
npupp.h: No such file or directory
../../../../../../libjava/classpath/native/plugin/gcjwebplugin.cc:61:31: error:
nsIPluginInstance.h: No such file or directory
Comment 1 Jakub Jelinek 2007-08-23 03:10:15 EDT
That command line is supposed to include
-I/usr/include/firefox-2.0.0.6/java -I/usr/include/firefox-2.0.0.6/plugin
-I/usr/include/nspr4 -I/usr/include/firefox-2.0.0.6
-I/usr/include/firefox-2.0.0.6/xpcom -I/usr/include/firefox-2.0.0.6/string
before -I/usr/include/glib-2.0, see
http://koji.fedoraproject.org/packages/gcc/4.1.2/19/data/logs/x86_64/build.log
So, either you did something wrong (e.g. installed firefox-devel.i386 rather
than firefox-devel.x86_64), or something bad happened during your configure.
Check for:
checking for mozilla-plugin... checking for firefox-plugin firefox-xpcom... yes
checking MOZILLA_CFLAGS... -I/usr/include/firefox-2.0.0.6/java
-I/usr/include/firefox-2.0.0.6/plugin -I/usr/include/nspr4
-I/usr/include/firefox-2.0.0.6 -I/usr/include/firefox-2.0.0.6/xpcom
-I/usr/include/firefox-2.0.0.6/string  
checking MOZILLA_LIBS... -L/usr/lib64/firefox-2.0.0.6 -lxpcom -lplds4 -lplc4
-lnspr4 -lpthread -ldl  
in libjava's configure output.
In any case, this works just fine in koji, mock, etc.
Comment 2 Peter Kovář 2007-08-23 10:30:20 EDT
nspr-devel.x86_64 was not Installed.

PS: Díky Jakube.

Note You need to log in before you can comment on or make changes to this bug.